Upgrading the Build System Toolkit and Rational Build Agent on z/OS

Upgrading a previous version of the Build System Toolkit and the Rational Build Agent to the new version of the IBM® Engineering Lifecycle Management (ELM) requires that you install the new version toolkit and build agent and run them in parallel with your existing version toolkit and build agent.

About this task

There are no PTFs to upgrade your existing toolkit and build agent to the new version, so upgrading requires you to install the new version toolkit and build agent from the SMP/E package. The Build System Toolkit and Rational Build Agent include Enterprise Extensions tools. The toolkit and agent are required if you want to use the latest Enterprise Extensions functions like dependency builds, packaging and deployment, and promotion.

Procedure

  1. Perform a new SMP/E installation of the new version Build System Toolkit (FMID HXBT606) and Rational Build Agent (HXBA606) to a new SMP/E environment. For details, see SMP/E installation process.
    Important: Use new toolkit, agent configuration, and work directories that are different from the directories used for the previous version directories.
  2. Modify and run the sample jobs for the Build System Toolkit components that you require by following the instructions included with the sample. For details, see Creating directories for Jazz Team Server and the Engineering Lifecycle Management applications. The sample members included with the Build System Toolkit are the following:
    BLZCPBFA
    A JCL job used to create and customize z/OS UNIX System Services (USS) files and directories for the Rational® Build Agent.
    BLZCPBTK
    A JCL job used to create and customize USS files and directories for the Build System Toolkit.
  3. Upgrade the Rational Build Agent by completing the following steps:
    1. Add the configuration modifications from your previous version startbfa.sh script (for example, the Jazz user ID and password file) to your new version script.
    2. Add the configuration modifications from your bfagent.conf file (for example, the port number) to your new version configuration file.
      Note: If you use a different port, update your build definitions to include the updated port information.
    3. Stop the previous version Rational Build Agent and then start the new version build agent.
  4. Upgrade the ISPF gateway by updating the ISPF.conf file so that enterprise builds, packaging and deployment, promotions, and other Enterprise Extensions features use the new version ISPF gateway. Add the IBM Engineering Workflow Management (EWM) product message library to the ISPMLIB concatenation by adding the following line:
    ispmlib= BLZ.SBLZMENU,ISP.SISPMENU
    For details, see Configuring the ISPF gateway for build, deployment, and promotion support

What to do next

If you are using the ISPF client or the IBM Developer for z Systems® integration feature, complete the steps in the following topics:

For the EWM ISPF client to operate properly, the library hlq.SBLZAUTH, which contains the BLZPASTK module, must be made available to ISPF users, usually through the LNKLST definition.

LNKLST data sets are defined in PARMLIB member PROGxx, if your site followed IBM recommendations.

There are a couple of approaches you can use when upgrading to a new version:
  1. Update LNKLST to point to the new version of SBLZAUTH.
  2. Use the STEPLIB DD in individual user's TSO start procedures to point to different version SBLZAUTH libraries. Each version must still be APF authorized.

For more information see Installation information for z/OS system programmers


video icon Video

Jazz.net channel
Software Education channel

learn icon Courses

IoT Academy
Skills Gateway

ask icon Community

Jazz.net
Jazz.net forums
Jazz.net library

support icon Support

IBM Support Community
Deployment wiki